using PARR.Domain.Enums;
using PARR.Domain.Settings;

namespace PARR.TaskReconciliationWorker.Settings
{
    internal class WorkerSettings : IReconciliationSettings
    {
        public TimeSpan CheckInterval { get; set; } = TimeSpan.FromMinutes(10);
        public int MaxTaskPerRun { get; set; } = 100;

        public MqSettings MqSettings { get; set; } = new();
    }

    internal class MqSettings
    {
        public Dictionary<TaskTypeEnum, MqSettingsBase> Tasks { get; set; } = new();
    }
}
